---
title: "operator-sdk create api"
---
## operator-sdk create api

Scaffold a Kubernetes API

### Synopsis

Scaffold a Kubernetes API.

For project-specific information, run this command in the root directory of a
project.

Note: unable to find configuration file, project must be initialized

```
operator-sdk create api [flags]
```

### Options

```
  -h, --help   help for api
```

### Options inherited from parent commands

```
      --verbose   Enable verbose logging
```

### SEE ALSO

* [operator-sdk create](../operator-sdk_create)	 - Scaffold a Kubernetes API or webhook

